%global common_description %{expand:
OpenSM is the OpenIB project's Subnet Manager for Infiniband networks.
The subnet manager is run as a system daemon on one of the machines in
the infiniband fabric to manage the fabric's routing state.  This package
also contains various tools for diagnosing and testing Infiniband networks
that can be used from any machine and do not need to be run on a machine
running the opensm daemon.}

Summary:       OpenIB InfiniBand Subnet Manager and management utilities
Name:          opensm
Version:       3.3.24
Release:       4%{?dist}
License:       GPLv2 or BSD
Url:           https://github.com/linux-rdma/opensm

Source0:       %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source2:       opensm.logrotate
Source4:       opensm.sysconfig
Source5:       opensm.service
Source6:       opensm.launch
Source7:       opensm.rwtab
Source8:       opensm.partitions

BuildRequires: make gcc libibumad-devel systemd systemd-units
BuildRequires: bison flex byacc libtool autoconf automake
Requires:      %{name}-libs = %{version}-%{release} logrotate rdma
%{?systemd_requires}

%description
%{common_description}

%package libs
Summary: Libraries used by opensm and included utilities

%description libs
%{common_description}
This package provides shared libraries for Infiniband user space access

%package devel
Summary: Development files for the opensm-libs libraries
Requires: %{name}-libs = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}
obsoletes: %{name}-static < %{version}-%{release}

%description devel
%{common_description}
This package provides development environment for the opensm libraries,
include static version of opensm libraries

%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure --with-opensm-conf-sub-dir=rdma
%make_build
cd opensm
./opensm -c ../opensm-%{version}.conf

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -fr %{buildroot}%{_sysconfdir}/init.d
install -D -m644 opensm-%{version}.conf %{buildroot}%{_sysconfdir}/rdma/opensm.conf
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/opensm
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/opensm
install -D -m644 %{SOURCE5} %{buildroot}%{_unitdir}/opensm.service
install -D -m755 %{SOURCE6} %{buildroot}%{_libexecdir}/opensm-launch
install -D -m644 %{SOURCE7} %{buildroot}%{_sysconfdir}/rwtab.d/opensm
install -D -m644 %{SOURCE8} %{buildroot}%{_sysconfdir}/rdma/partitions.conf
mkdir -p %{buildroot}/var/cache/opensm

%post
%systemd_post opensm.service

%preun
%systemd_preun opensm.service

%postun
if [ -d /var/cache/opensm ]; then
	rm -fr /var/cache/opensm
fi
%systemd_postun_with_restart opensm.service

%files
%license COPYING
%doc AUTHORS ChangeLog INSTALL README NEWS
%dir /var/cache/opensm
%{_sbindir}/*
%{_mandir}/*/*
%{_unitdir}/*
%{_libexecdir}/*
%config(noreplace) %{_sysconfdir}/logrotate.d/opensm
%config(noreplace) %{_sysconfdir}/rdma/opensm.conf
%config(noreplace) %{_sysconfdir}/rdma/partitions.conf
%config(noreplace) %{_sysconfdir}/sysconfig/opensm
%{_sysconfdir}/rwtab.d/opensm

%files libs
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_includedir}/infiniband
%{_libdir}/lib*.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.24-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.24-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.24-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Shuo Wang <abushwang@tencent.com> - 3.3.24-1
- initial build
